## org.codehaus.groovy.grails.plugins.converters
Class ConvertersGrailsPlugin

    java.lang.Object
      org.codehaus.groovy.grails.plugins.converters.ConvertersGrailsPlugin

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class ConvertersGrailsPlugin

extends Object
implements groovy.lang.GroovyObject

Constructor Summary
`ConvertersGrailsPlugin()`

Method Summary
`protected groovy.lang.MetaClass` `$getStaticMetaClass()`
`Object` `getAuthor()`
`Object` `getDependsOn()`
`Object` `getDescription()`
`Object` `getDocumentation()`
`Object` `getDoWithDynamicMethods()`
`Object` `getDoWithSpring()`
`Object` `getHeaderMethod()`
`Object` `getJsonHeaderMethod()`
`groovy.lang.MetaClass` `getMetaClass()`
`Object` `getObserve()`
`Object` `getOnChange()`
`Object` `getProperty(String property)`
`Object` `getProvidedArtefacts()`
`Object` `getRenderMethod()`
`Object` `getTitle()`
`Object` `getVersion()`
`Object` `invokeMethod(String method, Object arguments)`
`void` `setAuthor(Object value)`
`void` `setDependsOn(Object value)`
`void` `setDescription(Object value)`
`void` `setDocumentation(Object value)`
`void` `setDoWithDynamicMethods(Object value)`
`void` `setDoWithSpring(Object value)`
`void` `setHeaderMethod(Object value)`
`void` `setJsonHeaderMethod(Object value)`
`void` `setMetaClass(groovy.lang.MetaClass mc)`
`void` `setObserve(Object value)`
`void` `setOnChange(Object value)`
`void` `setProperty(String property, Object value)`
`void` `setProvidedArtefacts(Object value)`
`void` `setRenderMethod(Object value)`
`void` `setTitle(Object value)`
`void` `setVersion(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConvertersGrailsPlugin

    public ConvertersGrailsPlugin()

Method Detail

### getVersion

    public Object getVersion()

### setVersion

    public void setVersion(Object value)

### getAuthor

    public Object getAuthor()

### setAuthor

    public void setAuthor(Object value)

### getTitle

    public Object getTitle()

### setTitle

    public void setTitle(Object value)

### getDescription

    public Object getDescription()

### setDescription

    public void setDescription(Object value)

### getDocumentation

    public Object getDocumentation()

### setDocumentation

    public void setDocumentation(Object value)

### getProvidedArtefacts

    public Object getProvidedArtefacts()

### setProvidedArtefacts

    public void setProvidedArtefacts(Object value)

### getObserve

    public Object getObserve()

### setObserve

    public void setObserve(Object value)

### getDependsOn

    public Object getDependsOn()

### setDependsOn

    public void setDependsOn(Object value)

### getDoWithSpring

    public Object getDoWithSpring()

### setDoWithSpring

    public void setDoWithSpring(Object value)

### getRenderMethod

    public Object getRenderMethod()

### setRenderMethod

    public void setRenderMethod(Object value)

### getHeaderMethod

    public Object getHeaderMethod()

### setHeaderMethod

    public void setHeaderMethod(Object value)

### getJsonHeaderMethod

    public Object getJsonHeaderMethod()

### setJsonHeaderMethod

    public void setJsonHeaderMethod(Object value)

### getOnChange

    public Object getOnChange()

### setOnChange

    public void setOnChange(Object value)

### getDoWithDynamicMethods

    public Object getDoWithDynamicMethods()

### setDoWithDynamicMethods

    public void setDoWithDynamicMethods(Object value)

### $getStaticMetaClass

    protected groovy.lang.MetaClass $getStaticMetaClass()

### getMetaClass

    public groovy.lang.MetaClass getMetaClass()

  Specified by:
    `getMetaClass` in interface `groovy.lang.GroovyObject`

### setMetaClass

    public void setMetaClass(groovy.lang.MetaClass mc)

  Specified by:
    `setMetaClass` in interface `groovy.lang.GroovyObject`

### invokeMethod

    public Object invokeMethod(String method,
                               Object arguments)

  Specified by:
    `invokeMethod` in interface `groovy.lang.GroovyObject`

### getProperty

    public Object getProperty(String property)

  Specified by:
    `getProperty` in interface `groovy.lang.GroovyObject`

### setProperty

    public void setProperty(String property,
                            Object value)

  Specified by:
    `setProperty` in interface `groovy.lang.GroovyObject`

Copyright (c) 2005-2009 The Grails project